<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class MeetingReport extends Model
{
    protected $guarded = array('id');
  	public $table = "meeting_reports";

  	public function client_info(){
  		return $this->hasOne('App\Models\Client', 'id', 'client');
  	}
  	public function auth_user_info(){
      return $this->hasOne('App\Models\Account', 'id', 'auth_user_id');
    }
    public function sam_comment_info(){
      return $this->hasMany('App\Models\SamComment', 'report_id', 'id');
    }
}
